from django.conf import settings
from django.conf.urls.defaults import *
from visitors.models import *
from visitors import views

urlpatterns = patterns(
    "visitors.views",
    url(r"^$", view=views.index, name="vs-index"),
    url(r"^$", view="visitors_edition_detail", name="vs-visitors-edition-detail"),
    url(r"^sections/$", view="section_index", name="vs-section-index"),
    url(
        r"^sections/(?P<slug>[-\w]+)/$", view="section_detail", name="vs-section-detail"
    ),
    url(r"^attractions/$", view="attraction_index", name="vs-attraction-index"),
    url(
        r"^attractions/(?P<slug>[-\w]+)/$",
        view="category_detail",
        name="vs-category-detail",
    ),
    url(
        r"^attractions/(?P<category_slug>[-\w]+/)/(?P<slug>[-\w]+/)/$",
        view="attraction_detail",
        name="vs-attraction-detail",
    ),
)
